# Filename: tri_class_nodes.py
# Purpose: A generator to move through each node of a triangulation.
# Returns: A list of X, Y, Z coordinates for each node.

from maptek import vulcan

input_tri = 'cube.00t'  # input tri

with vulcan.triangulation(input_tri) as tri:  # Open triangulation in read mode
    for node in tri.nodes:
        print(node)